package com.preemptive.dasho.dox.model;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.preemptive.dasho.dox.model.ClasspathType;
import com.preemptive.dasho.dox.model.ControlflowType;
import com.preemptive.dasho.dox.model.EntryPointsType;
import com.preemptive.dasho.dox.model.GlobalExcludeClassListType;
import com.preemptive.dasho.dox.model.GlobalType;
import com.preemptive.dasho.dox.model.IncludeNonClassFilesType;
import com.preemptive.dasho.dox.model.InjectionType;
import com.preemptive.dasho.dox.model.InputPathType;
import com.preemptive.dasho.dox.model.InstrumentationType;
import com.preemptive.dasho.dox.model.MakeSyntheticType;
import com.preemptive.dasho.dox.model.MethodCallRemovalType;
import com.preemptive.dasho.dox.model.OptimizationType;
import com.preemptive.dasho.dox.model.OutputType;
import com.preemptive.dasho.dox.model.PremarkType;
import com.preemptive.dasho.dox.model.PreverifierType;
import com.preemptive.dasho.dox.model.PropertyListType;
import com.preemptive.dasho.dox.model.RemovalType;
import com.preemptive.dasho.dox.model.RenamingType;
import com.preemptive.dasho.dox.model.ReportType;
import com.preemptive.dasho.dox.model.ResourceEncryptionType;
import com.preemptive.dasho.dox.model.SignJarType;
import com.preemptive.dasho.dox.model.StringEncryptType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"propertylist", "global", "inputpath", "globalProcessingExclude", "classpath", "entrypoints", "report", "output", "removal", "methodCallRemoval", "renaming", "optimization", "controlflow", "stringencrypt", "resourceencryption", "makeSynthetic", "premark", "constantpooltag", "includenonclassfiles", "preverifier", "injection", "instrumentation", "signjar"})
@XmlRootElement(name = "dasho")
public class Dasho {
  protected PropertyListType propertylist;
  
  protected GlobalType global;
  
  protected InputPathType inputpath;
  
  protected GlobalExcludeClassListType globalProcessingExclude;
  
  protected ClasspathType classpath;
  
  protected EntryPointsType entrypoints;
  
  protected ReportType report;
  
  protected OutputType output;
  
  protected RemovalType removal;
  
  protected MethodCallRemovalType methodCallRemoval;
  
  protected RenamingType renaming;
  
  protected OptimizationType optimization;
  
  protected ControlflowType controlflow;
  
  protected StringEncryptType stringencrypt;
  
  protected ResourceEncryptionType resourceencryption;
  
  @XmlElement(name = "make-synthetic")
  protected MakeSyntheticType makeSynthetic;
  
  protected PremarkType premark;
  
  protected String constantpooltag;
  
  protected IncludeNonClassFilesType includenonclassfiles;
  
  protected PreverifierType preverifier;
  
  protected InjectionType injection;
  
  protected InstrumentationType instrumentation;
  
  protected SignJarType signjar;
  
  @XmlAttribute(name = "mode")
  protected String mode;
  
  @XmlAttribute(name = "version", required = true)
  protected String version;
  
  public PropertyListType getPropertylist() {
    return this.propertylist;
  }
  
  public void setPropertylist(PropertyListType value) {
    this.propertylist = value;
  }
  
  public GlobalType getGlobal() {
    return this.global;
  }
  
  public void setGlobal(GlobalType value) {
    this.global = value;
  }
  
  public InputPathType getInputpath() {
    return this.inputpath;
  }
  
  public void setInputpath(InputPathType value) {
    this.inputpath = value;
  }
  
  public GlobalExcludeClassListType getGlobalProcessingExclude() {
    return this.globalProcessingExclude;
  }
  
  public void setGlobalProcessingExclude(GlobalExcludeClassListType value) {
    this.globalProcessingExclude = value;
  }
  
  public ClasspathType getClasspath() {
    return this.classpath;
  }
  
  public void setClasspath(ClasspathType value) {
    this.classpath = value;
  }
  
  public EntryPointsType getEntrypoints() {
    return this.entrypoints;
  }
  
  public void setEntrypoints(EntryPointsType value) {
    this.entrypoints = value;
  }
  
  public ReportType getReport() {
    return this.report;
  }
  
  public void setReport(ReportType value) {
    this.report = value;
  }
  
  public OutputType getOutput() {
    return this.output;
  }
  
  public void setOutput(OutputType value) {
    this.output = value;
  }
  
  public RemovalType getRemoval() {
    return this.removal;
  }
  
  public void setRemoval(RemovalType value) {
    this.removal = value;
  }
  
  public MethodCallRemovalType getMethodCallRemoval() {
    return this.methodCallRemoval;
  }
  
  public void setMethodCallRemoval(MethodCallRemovalType value) {
    this.methodCallRemoval = value;
  }
  
  public RenamingType getRenaming() {
    return this.renaming;
  }
  
  public void setRenaming(RenamingType value) {
    this.renaming = value;
  }
  
  public OptimizationType getOptimization() {
    return this.optimization;
  }
  
  public void setOptimization(OptimizationType value) {
    this.optimization = value;
  }
  
  public ControlflowType getControlflow() {
    return this.controlflow;
  }
  
  public void setControlflow(ControlflowType value) {
    this.controlflow = value;
  }
  
  public StringEncryptType getStringencrypt() {
    return this.stringencrypt;
  }
  
  public void setStringencrypt(StringEncryptType value) {
    this.stringencrypt = value;
  }
  
  public ResourceEncryptionType getResourceencryption() {
    return this.resourceencryption;
  }
  
  public void setResourceencryption(ResourceEncryptionType value) {
    this.resourceencryption = value;
  }
  
  public MakeSyntheticType getMakeSynthetic() {
    return this.makeSynthetic;
  }
  
  public void setMakeSynthetic(MakeSyntheticType value) {
    this.makeSynthetic = value;
  }
  
  public PremarkType getPremark() {
    return this.premark;
  }
  
  public void setPremark(PremarkType value) {
    this.premark = value;
  }
  
  public String getConstantpooltag() {
    return this.constantpooltag;
  }
  
  public void setConstantpooltag(String value) {
    this.constantpooltag = value;
  }
  
  public IncludeNonClassFilesType getIncludenonclassfiles() {
    return this.includenonclassfiles;
  }
  
  public void setIncludenonclassfiles(IncludeNonClassFilesType value) {
    this.includenonclassfiles = value;
  }
  
  public PreverifierType getPreverifier() {
    return this.preverifier;
  }
  
  public void setPreverifier(PreverifierType value) {
    this.preverifier = value;
  }
  
  public InjectionType getInjection() {
    return this.injection;
  }
  
  public void setInjection(InjectionType value) {
    this.injection = value;
  }
  
  public InstrumentationType getInstrumentation() {
    return this.instrumentation;
  }
  
  public void setInstrumentation(InstrumentationType value) {
    this.instrumentation = value;
  }
  
  public SignJarType getSignjar() {
    return this.signjar;
  }
  
  public void setSignjar(SignJarType value) {
    this.signjar = value;
  }
  
  public String getMode() {
    if (this.mode == null)
      return ""; 
    return this.mode;
  }
  
  public void setMode(String value) {
    this.mode = value;
  }
  
  public String getVersion() {
    return this.version;
  }
  
  public void setVersion(String value) {
    this.version = value;
  }
}
